%define name ldetect-lst
%define version 0.2.3
%define release %mkrel 1

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Hardware list for the light detection library
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/ldetect-lst/trunk/
Source: %{name}-%{version}.tar.xz
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPLv2+
Requires(post): perl-base gzip
Requires(preun): perl-base
BuildRequires: perl-MDK-Common
BuildRequires: drakx-kbd-mouse-x11
BuildRequires: drakxtools-backend
Provides: hwdata
Requires: usbutils
Obsoletes: pciids
Provides: pciids = %version-%release
Requires: libnotify >= 0.7
Provides: /usr/sbin/update-ldetect-lst

%package devel
Summary: Devel for ldetect-lst
Group: Development/Perl
Requires: ldetect-lst = %{version}

%description
The hardware device lists provided by this package are used as lookup 
table to get hardware autodetection.

%description devel
This package provides merge2pcitable, a tool that enables to merge in hardware
databases new entries pacakged in eg /usr/share/ldetect-lst/pcitable.d.

%prep
%setup -q

%build
%if %{bootstrap}
pushd lst
touch hardcoded-modules.alias fallback-modules.alias preferred-modules.alias
popd
%endif

%make

%check
%if !%{bootstrap}
make check
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall slibdir=$RPM_BUILD_ROOT/lib

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name}
if [ -x /usr/sbin/update-ldetect-lst ]; then
  /usr/sbin/update-ldetect-lst
fi

%preun -p "/usr/sbin/update-ldetect-lst --clean"

%post -p /usr/sbin/update-ldetect-lst


%files
%defattr(-,root,root)
%doc AUTHORS 

%{_datadir}/oui.txt
%{_datadir}/misc/pnp.ids
%{_datadir}/%{name}
%{_sbindir}/*
/lib/module-init-tools/ldetect-lst-modules.alias
%{_datadir}/usb.ids
%{_datadir}/pci.ids

%files devel
%defattr(-,root,root)
%doc convert/README.pcitable
%{_bindir}/*

%changelog
* Thu Jun 02 2016 bb <bb> 0.2.3-1pclos2016
- update

* Sat Feb 20 2016 bb <bb> 0.2.2-2pclos2016
- try to fix ati driver

* Wed Feb 03 2016 bb <bb> 0.2.2-1pclos2016
- update and sync with france

* Mon Dec 28 2015 bb <bb> 0.1.311-1pclos2015
- update

* Sun May 24 2015 bb <bb> 0.1.310-1pclos2015
- update

* Sun Apr 26 2015 bb <bb> 0.1.309-1pclos2015
- update for new nvidia cards

